#
# spec file for package xchat (Version 1.8.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound esound-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libgtop libgtop-devel libtool openssl openssl-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgtop libgtop-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xchat
Copyright:    GPL
Group:        Applications/Internet
Summary:      An IRC client
Version:      1.8.3
Release:      71
Source:       http://xchat.org/files/source/1.7/xchat-%{version}.tar.bz2
Patch:        xchat-%{version}.dif
Buildroot:    %{_tmppath}/%{name}-root
URL:          http://xchat.org
%define prefix /opt/gnome

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients
and the interface is quite nicely designed.

Authors:
--------
    Peter Zelezny <zed@linux.com>

SuSE series: gnm

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} \
			--disable-panel \
			--disable-textfe \
			--enable-nls \
			--enable-openssl \
			--enable-japanese-conv
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS README FAQ COPYING ChangeLog doc/*.html
%attr(755,root,root) %{prefix}/bin/xchat
%{prefix}/share/gnome/apps/Internet/xchat.desktop
%{prefix}/share/pixmaps/xchat.png
# %{prefix}/share/pixmaps/xchat_wm.png
%{prefix}/share/locale/*/*/*

%changelog -n xchat
* Sun Sep 23 2001 - olh@suse.de
- make the defaults more useable for SuSE Linux
* Wed Aug 29 2001 - grimmer@suse.de
- update to 1.8.3 (bugfixes and updated translations)
- changed prefix from /usr to /opt/gnome [#9921]
* Wed Aug 01 2001 - grimmer@suse.de
- update to 1.8.2
* Wed Jul 11 2001 - mmj@suse.de
- update to new STABLE 1.8.0
* Wed Jun 20 2001 - mfabian@suse.de
- update to 1.7.7 (considerably improved Japanese support)
  xchat-1.6.4-fontset.patch and xchat-1.6.4-zh_TW.Big5.po.patch
  removed, they are obsolete.
* Thu Apr 19 2001 - mfabian@suse.de
- fix zh_TW.Big5.po for gettext 0.10.36. I don't know Chinese,
  but the changes were trivial (remove extra backslashes needed
  as a workaround for gettext 0.10.35), so it should
  be correct.
* Mon Apr 09 2001 - grimmer@suse.de
- update to 1.6.4
  (bugfixes, see ChangeLog at http://www.xchat.org/changelog.txt)
* Tue Mar 20 2001 - uli@suse.de
- added esound-devel to neededforbuild
* Wed Feb 07 2001 - grimmer@suse.de
- update to 1.6.3 (thanks to Mads for nagging me about this)
- added SSL support
- adjusted fontset patch
- minor spec file corrections
* Sun Jan 21 2001 - violiet@suse.de
- added simple fontset patch to display Japanese and Korean correctly
  in the text widget.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 - ro@suse.de
- renamed struct user to struct User ...
* Tue Aug 29 2000 - grimmer@suse.de
- update to 1.4.3 (Bugfixes and security fix)
* Sun May 28 2000 - olh@suse.de
- update to 1.4.2
  cut down the interface ...
* Thu Feb 17 2000 - grimmer@suse.de
- no update to 1.4.0 yet (crashed immediately)
- use build root
- use version macro
- spec file cleanups
* Wed Nov 17 1999 - grimmer@suse.de
- initial package (Version 1.2.1)
